BendInsertDesignBuilder Class

class NXOpen.Tooling.BendInsertDesignBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Tooling.BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend .

To create a new instance of this class, use NXOpen.Tooling.BendInsertDesignCollection.CreateBendInsertDesignBuilder()

Default values.

Property Value
BendType Sbend
BendingDirection Down
BlankPosition PunchPlate
BottomPlateClearance 0
CompositeInsert 0
ConceptDesign 0
DiePlateClearance 0
Extend.Value 5 (millimeters part), 1 (inches part)
ExtrudeEnd.Value 5 (millimeters part), 1 (inches part)
ExtrudeStart.Value 0 (millimeters part), 0 (inches part)
FalseBody 0
InsertType Punch
ParentNode Sub
PunchPlateClearance 0
ReName 0
StripperPlateClearance 0
Type Standard
UseBottomPlateClearance 0
UseDiePlateClearance 0
UsePunchPlateClearance 0
UseStripperPlateClearance 0

New in version NX8.0.0.

Properties

Property Description
BendFace Returns the bend face.
BendType Returns or sets the bend type.
BendingDirection Returns or sets the bending direction.
BlankPosition Returns or sets the blank position in punch plate or stripper plate.
BottomPlateClearance Returns or sets the clearance value of bottom backing plate.
CompositeInsert Returns or sets the composite insert.
ConceptDesign Returns or sets the concept design option.
DiePlateClearance Returns or sets the clearance value of die plate.
Extend Returns the extend.
ExtrudeEnd Returns the extrude end, A half when composite insert.
ExtrudeEnd1 Returns the extrude end B -half.
ExtrudeSketch Returns the extrude sketch.
ExtrudeStart Returns the extrude start, A half when composite insert.
ExtrudeStart1 Returns the extrude start - B half.
FalseBody Returns or sets the false body creation option.
FlipTrimDirection Returns or sets the flip trim feature direction of insert.
InsertComponent Returns the select insert to delete
InsertToEdit Returns the select insert to edit
InsertType Returns or sets the insert type.
IntersectPlane Returns or sets the intersect plane.
IsAutoDatum Returns or sets the auto datum plane
NewPartName Returns or sets the new component name.
ParentNode Returns or sets the parent node.
ParentPartName Returns or sets the parent part name to create insert.
PunchPlateClearance Returns or sets the clearance value of punch plate.
ReName Returns or sets the rename option.
StripperPlateClearance Returns or sets the clearance value of stripper plate.
Tag Returns the Tag for this object.
Type Returns or sets the operation type of bending insert design.
UseBottomPlateClearance Returns or sets the option to use bottom backing plate clearance.
UseDiePlateClearance Returns or sets the option to use die plate clearance.
UsePunchPlateClearance Returns or sets the option to use punch plate clearance.
UseStripperPlateClearance Returns or sets the option to use stripper plate clearance.

Methods

Method Description
AddInsertComponent Add the new bend insert component
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
SetFaces Sets the face occurrences into builder attribute.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

BendFace

BendInsertDesignBuilder.BendFace

Returns the bend face.

-------------------------------------

Getter Method

Signature BendFace()

Returns:
Return type:NXOpen.ScCollector

New in version NX8.0.0.

License requirements: None.

BendType

BendInsertDesignBuilder.BendType

Returns or sets the bend type.

-------------------------------------

Getter Method

Signature BendType()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderBendTypeOption

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BendType(bendType)

Parameters:bendType (NXOpen.Tooling.BendInsertDesignBuilderBendTypeOption) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

BendingDirection

BendInsertDesignBuilder.BendingDirection

Returns or sets the bending direction.

-------------------------------------

Getter Method

Signature BendingDirection()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderBendingDirectionOption

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BendingDirection(bendingDirection)

Parameters:bendingDirection (NXOpen.Tooling.BendInsertDesignBuilderBendingDirectionOption) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

BlankPosition

BendInsertDesignBuilder.BlankPosition

Returns or sets the blank position in punch plate or stripper plate.

-------------------------------------

Getter Method

Signature BlankPosition()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderBlankPositions

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BlankPosition(blankPosition)

Parameters:blankPosition (NXOpen.Tooling.BendInsertDesignBuilderBlankPositions) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

BottomPlateClearance

BendInsertDesignBuilder.BottomPlateClearance

Returns or sets the clearance value of bottom backing plate.

-------------------------------------

Getter Method

Signature BottomPlateClearance()

Returns:
Return type:float

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BottomPlateClearance(bottomPlateClr)

Parameters:bottomPlateClr (float) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

CompositeInsert

BendInsertDesignBuilder.CompositeInsert

Returns or sets the composite insert.

-------------------------------------

Getter Method

Signature CompositeInsert()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CompositeInsert(compositeInsert)

Parameters:compositeInsert (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

ConceptDesign

BendInsertDesignBuilder.ConceptDesign

Returns or sets the concept design option.

-------------------------------------

Getter Method

Signature ConceptDesign()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ConceptDesign(conceptDesign)

Parameters:conceptDesign (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

DiePlateClearance

BendInsertDesignBuilder.DiePlateClearance

Returns or sets the clearance value of die plate.

-------------------------------------

Getter Method

Signature DiePlateClearance()

Returns:
Return type:float

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DiePlateClearance(diePlateClr)

Parameters:diePlateClr (float) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

Extend

BendInsertDesignBuilder.Extend

Returns the extend.

-------------------------------------

Getter Method

Signature Extend()

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: None.

ExtrudeEnd

BendInsertDesignBuilder.ExtrudeEnd

Returns the extrude end, A half when composite insert.

-------------------------------------

Getter Method

Signature ExtrudeEnd()

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: None.

ExtrudeEnd1

BendInsertDesignBuilder.ExtrudeEnd1

Returns the extrude end B -half.

-------------------------------------

Getter Method

Signature ExtrudeEnd1()

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: None.

ExtrudeSketch

BendInsertDesignBuilder.ExtrudeSketch

Returns the extrude sketch.

-------------------------------------

Getter Method

Signature ExtrudeSketch()

Returns:
Return type:NXOpen.Section

New in version NX8.0.0.

License requirements: None.

ExtrudeStart

BendInsertDesignBuilder.ExtrudeStart

Returns the extrude start, A half when composite insert.

-------------------------------------

Getter Method

Signature ExtrudeStart()

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: None.

ExtrudeStart1

BendInsertDesignBuilder.ExtrudeStart1

Returns the extrude start - B half.

-------------------------------------

Getter Method

Signature ExtrudeStart1()

Returns:
Return type:NXOpen.Expression

New in version NX8.0.0.

License requirements: None.

FalseBody

BendInsertDesignBuilder.FalseBody

Returns or sets the false body creation option.

-------------------------------------

Getter Method

Signature FalseBody()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FalseBody(falseBody)

Parameters:falseBody (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

FlipTrimDirection

BendInsertDesignBuilder.FlipTrimDirection

Returns or sets the flip trim feature direction of insert.

-------------------------------------

Getter Method

Signature FlipTrimDirection()

Returns:
Return type:bool

New in version NX9.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature FlipTrimDirection(flipTrimDirection)

Parameters:flipTrimDirection (bool) –

New in version NX9.0.1.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

InsertComponent

BendInsertDesignBuilder.InsertComponent

Returns the select insert to delete

-------------------------------------

Getter Method

Signature InsertComponent()

Returns:
Return type:NXOpen.Assemblies.SelectComponentList

New in version NX8.0.0.

License requirements: None.

InsertToEdit

BendInsertDesignBuilder.InsertToEdit

Returns the select insert to edit

-------------------------------------

Getter Method

Signature InsertToEdit()

Returns:
Return type:NXOpen.Assemblies.SelectComponentList

New in version NX8.0.0.

License requirements: None.

InsertType

BendInsertDesignBuilder.InsertType

Returns or sets the insert type.

-------------------------------------

Getter Method

Signature InsertType()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderInsertTypeOption

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature InsertType(insertType)

Parameters:insertType (NXOpen.Tooling.BendInsertDesignBuilderInsertTypeOption) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

IntersectPlane

BendInsertDesignBuilder.IntersectPlane

Returns or sets the intersect plane.

-------------------------------------

Getter Method

Signature IntersectPlane()

Returns:
Return type:NXOpen.Plane

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IntersectPlane(intersectPlane)

Parameters:intersectPlane (NXOpen.Plane) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

IsAutoDatum

BendInsertDesignBuilder.IsAutoDatum

Returns or sets the auto datum plane

-------------------------------------

Getter Method

Signature IsAutoDatum()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsAutoDatum(isInner)

Parameters:isInner (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

NewPartName

BendInsertDesignBuilder.NewPartName

Returns or sets the new component name.

-------------------------------------

Getter Method

Signature NewPartName()

Returns:Retruns the new component name
Return type:str

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature NewPartName(newPartNames)

Parameters:newPartNames (str) – Specifies the new component name

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

ParentNode

BendInsertDesignBuilder.ParentNode

Returns or sets the parent node.

-------------------------------------

Getter Method

Signature ParentNode()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderParentOption

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ParentNode(parentNode)

Parameters:parentNode (NXOpen.Tooling.BendInsertDesignBuilderParentOption) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

ParentPartName

BendInsertDesignBuilder.ParentPartName

Returns or sets the parent part name to create insert.

-------------------------------------

Getter Method

Signature ParentPartName()

Returns:Retruns parent part name
Return type:str

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ParentPartName(parentPart)

Parameters:parentPart (str) – Specifies the parent part name

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

PunchPlateClearance

BendInsertDesignBuilder.PunchPlateClearance

Returns or sets the clearance value of punch plate.

-------------------------------------

Getter Method

Signature PunchPlateClearance()

Returns:
Return type:float

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PunchPlateClearance(punchPlateClr)

Parameters:punchPlateClr (float) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

ReName

BendInsertDesignBuilder.ReName

Returns or sets the rename option.

-------------------------------------

Getter Method

Signature ReName()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ReName(reName)

Parameters:reName (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

StripperPlateClearance

BendInsertDesignBuilder.StripperPlateClearance

Returns or sets the clearance value of stripper plate.

-------------------------------------

Getter Method

Signature StripperPlateClearance()

Returns:
Return type:float

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature StripperPlateClearance(stripperPlateClr)

Parameters:stripperPlateClr (float) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

Type

BendInsertDesignBuilder.Type

Returns or sets the operation type of bending insert design.

-------------------------------------

Getter Method

Signature Type()

Returns:
Return type:NXOpen.Tooling.BendInsertDesignBuilderTypes

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Type(type)

Parameters:type (NXOpen.Tooling.BendInsertDesignBuilderTypes) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

UseBottomPlateClearance

BendInsertDesignBuilder.UseBottomPlateClearance

Returns or sets the option to use bottom backing plate clearance.

-------------------------------------

Getter Method

Signature UseBottomPlateClearance()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseBottomPlateClearance(useBPClearance)

Parameters:useBPClearance (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

UseDiePlateClearance

BendInsertDesignBuilder.UseDiePlateClearance

Returns or sets the option to use die plate clearance.

-------------------------------------

Getter Method

Signature UseDiePlateClearance()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseDiePlateClearance(useDPClearance)

Parameters:useDPClearance (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

UsePunchPlateClearance

BendInsertDesignBuilder.UsePunchPlateClearance

Returns or sets the option to use punch plate clearance.

-------------------------------------

Getter Method

Signature UsePunchPlateClearance()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UsePunchPlateClearance(usePPClearance)

Parameters:usePPClearance (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

UseStripperPlateClearance

BendInsertDesignBuilder.UseStripperPlateClearance

Returns or sets the option to use stripper plate clearance.

-------------------------------------

Getter Method

Signature UseStripperPlateClearance()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseStripperPlateClearance(useSPClearance)

Parameters:useSPClearance (bool) –

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

Method Detail

AddInsertComponent

BendInsertDesignBuilder.AddInsertComponent

Add the new bend insert component

Signature AddInsertComponent()

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

SetFaces

BendInsertDesignBuilder.SetFaces

Sets the face occurrences into builder attribute.

Signature SetFaces(faceOccs)

Parameters:faceOccs (list of NXOpen.Face) – array of face occurrences

New in version NX8.0.0.

License requirements: prog_die_wizard (“UG/Progressive Die Wizard”)

Validate

BendInsertDesignBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.